package com.yonge.cooleshow.api.feign;

import com.yonge.cooleshow.api.feign.dto.RoomMemberNumDto;
import com.yonge.cooleshow.api.feign.fallback.CmsFeignServiceFallback;
import com.yonge.cooleshow.api.feign.fallback.GYMFeignServiceFallback;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import com.yonge.toolset.feign.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


@FeignClient(value = "${app-config.open-feign.gym-server.name:gym-server}", url = "${app-config.open-feign.gym-server.url:}",
        configuration = FeignConfiguration.class, fallback = GYMFeignServiceFallback.class)
public interface GYMFeignService {

    /**
     * 直播间人数
     */
    @GetMapping("/open/live/queryRoomInfo")
    HttpResponseResult<RoomMemberNumDto> queryRoomInfo(@RequestParam("roomUid") String roomUid);

}
